import { Observable } from 'iterable-observer';
export declare function blobOf(URI: string | URL): Promise<Blob>;
export declare function serializeNode(root: Node): {
    data: string | FormData;
    type: string;
};
declare enum FileMethod {
    text = "readAsText",
    dataURL = "readAsDataURL",
    binaryString = "readAsBinaryString",
    arrayBuffer = "readAsArrayBuffer"
}
export declare function readAs(file: Blob, method: keyof typeof FileMethod, encoding?: string): {
    progress: Observable<ProgressEvent<EventTarget>>;
    result: Promise<string | ArrayBuffer>;
};
export {};
